#=============================================================================
# Doloforge::Service::Ftp : add a ProFTPd server for any configured project
#
# Generate config files from templates, add a config file to the whole,
# reload ProFTPd (well, not yet)
#
# Full help :
#   perldoc Doloforge::Service::Ftp
#=============================================================================


package Doloforge::Service::Ftp;

use strict;

# This base class implements the constructor and help methods in a generic way.
use base qw(Doloforge::Service);


#=============================================================================
=encoding utf8

=head1 NAME

Doloforge::Service::Ftp : Add a ProFTPd server for any configured project

=head1 SYNOPSIS

    # Update the full configuration, running each client/project/service update
    doloforge config --update

=head1 DESCRIPTION

Todo

=cut


1;
__END__

=head1 AUTHOR

Nicolas Huillard <F<nicolas@huillard.net>>, Dolomède

=head1 SEE ALSO

doloforge(1)

=cut
