#!/bin/bash

# Get args from the command-line:
#   cd /srv/doloforge/shared/[client]/[project]
#   source ./_conf/project_env.sh
#   ./bulkmail/command/gen_recipients.sh user_html bulkmail/lists/_user_html.txt
# One can use the $STAGE variable to use special recipients list on non-prod stages...

# ID of the list as defined in the project config and database:
LIST=$1
# File to fill with recipient addresses:
RECIPIENTS=$2

# Create the recipients file
cp bulkmail/lists/user_txt/recipients.txt $RECIPIENTS

# STDOUT/ERR are sent to the webmaster via email...
